This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 610776 - (CVE-2010-2597) CVE-2010-2597 libtiff: use of uninitialized values crash
CVE-2010-2597 libtiff: use of uninitialized values crash
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20100612,reported=20100701,sou...
: Security
Depends On: 583081 603703
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-02 08:20 EDT by Jan Lieskovsky
Modified: 2010-07-08 12:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 12:01:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-07-02 08:20:42 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-2597 to
the following vulnerability:

The TIFFVStripSize function in tif_strip.c in LibTIFF 3.9.0 and 3.9.2
makes incorrect calls to the TIFFGetField function, which allows
remote attackers to cause a denial of service (application crash) via
a crafted TIFF image, related to "downsampled OJPEG input" and
possibly related to a compiler optimization that triggers a
divide-by-zero error.

References:
  [1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-2597
  [2] http://bugzilla.maptools.org/show_bug.cgi?id=2215
  [3] https://bugs.launchpad.net/bugs/593067
  [4] https://bugzilla.redhat.com/show_bug.cgi?id=583081
  [5] https://bugzilla.redhat.com/show_bug.cgi?id=603703
Comment 1 Jan Lieskovsky 2010-07-02 08:23:10 EDT
This issue did NOT affect the version of the libtiff package,
as shipped with Red Hat Enterprise Linux 3.

This issue affects the versions of the libtiff package,
as shipped with Red Hat Enterprise Linux 4 and 5.

--

This issue does NOT affect the current versions of libtiff
and mingw32-libtiff packages, as shipped with Fedora releases of
12 and 13 (this flaws has been already addressed in those).
Comment 4 Tom Lane 2010-07-02 09:52:56 EDT
Actually, it's not so much a compiler optimization risk as use of uninitialized variables.  If the values happen to be zero to start with, you get a divide-by-zero.
Comment 5 errata-xmlrpc 2010-07-08 11:34:56 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0519 https://rhn.redhat.com/errata/RHSA-2010-0519.html

Note You need to log in before you can comment on or make changes to this bug.